package com.yfd.platform.config;

import org.junit.jupiter.api.Order;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @Date: 2023/7/25 15:41
 * @Description:
 */
@Configuration("ParentConfig")
@Order(0)
public class ParentConfig {

    @Value("${parentserver.serverip}")
    private String parentIp;

    @Value("${parentserver.serverid}")
    private String parentId;

    @Value("${parentserver.tcpport}")
    private String tcpPort;

    @Value("${httpserver.patrolserver.serverid}")
    private String serverId;

    private String heartBeatInterval = "60";
    private String patroldeviceRunInterval = "60";
    private String nestRunInterval = "60";
    private String weatherInterval = "60";

    public String getParentIp() {
        return parentIp;
    }

    public String getParentId() {
        return parentId;
    }

    public String getServerId() {
        return serverId;
    }

    public String getTcpPort() {
        return tcpPort;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public void setParentIp(String parentIp) {
        this.parentIp = parentIp;
    }

    public void setServerId(String serverId) {
        this.serverId = serverId;
    }

    public void setTcpPort(String tcpPort) {
        this.tcpPort = tcpPort;
    }

    public String getHeartBeatInterval() {
        return heartBeatInterval;
    }

    public void setHeartBeatInterval(String heartBeatInterval) {
        this.heartBeatInterval = heartBeatInterval;
    }

    public String getPatroldeviceRunInterval() {
        return patroldeviceRunInterval;
    }

    public void setPatroldeviceRunInterval(String patroldeviceRunInterval) {
        this.patroldeviceRunInterval = patroldeviceRunInterval;
    }

    public String getNestRunInterval() {
        return nestRunInterval;
    }

    public void setNestRunInterval(String nestRunInterval) {
        this.nestRunInterval = nestRunInterval;
    }

    public String getWeatherInterval() {
        return weatherInterval;
    }

    public void setWeatherInterval(String weatherInterval) {
        this.weatherInterval = weatherInterval;
    }


}
